## org.hibernate.hql.classic
Class ParserHelper

    java.lang.Object
      org.hibernate.hql.classic.ParserHelper

    public final class ParserHelper

extends Object

Field Summary
`static String` `HQL_SEPARATORS`
`static String` `HQL_VARIABLE_PREFIX`
`static String` `PATH_SEPARATORS`

Method Summary
`static boolean` `isWhitespace(String str)`
`static void` `parse(Parser p, String text, String seperators, QueryTranslatorImpl q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HQL_VARIABLE_PREFIX

    public static final String HQL_VARIABLE_PREFIX

See Also:
  Constant Field Values

### HQL_SEPARATORS

    public static final String HQL_SEPARATORS

See Also:
  Constant Field Values

### PATH_SEPARATORS

    public static final String PATH_SEPARATORS

See Also:
  Constant Field Values

Method Detail

### isWhitespace

    public static boolean isWhitespace(String str)

### parse

    public static void parse(Parser p,
                             String text,
                             String seperators,
                             QueryTranslatorImpl q)
                      throws QueryException

  Throws:
    `QueryException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.